#define ELAN_IO_GPDMA0MAR      0x0000
#define ELAN_IO_GPDMA0TC       0x0001
#define ELAN_IO_GPDMA1MAR      0x0002
#define ELAN_IO_GPDMA1TC       0x0003
#define ELAN_IO_GPDMA2MAR      0x0004
#define ELAN_IO_GPDMA2TC       0x0005
#define ELAN_IO_GPDMA3MAR      0x0006
#define ELAN_IO_GPDMA3TC       0x0007
#define ELAN_IO_SLDMASTA       0x0008
#define ELAN_IO_SLDMACTL       0x0008
#define ELAN_IO_SLDMASWREQ     0x0009
#define ELAN_IO_SLDMAMSK       0x000a
#define ELAN_IO_SLDMAMODE      0x000b
#define ELAN_IO_SLDMACBP       0x000c
#define ELAN_IO_SLDMARST       0x000d
#define ELAN_IO_SLDMATMP       0x000d
#define ELAN_IO_SLDMAMSKRST    0x000e
#define ELAN_IO_SLDMAGENMSK    0x000f
#define ELAN_IO_MPICIR         0x0020
#define ELAN_IO_MPICISR        0x0020
#define ELAN_IO_MPICICW1       0x0020
#define ELAN_IO_MPICOCW2       0x0020
#define ELAN_IO_MPICOCW3       0x0020
#define ELAN_IO_MPICICW2       0x0021
#define ELAN_IO_MPICICW3       0x0021
#define ELAN_IO_MPICICW4       0x0021
#define ELAN_IO_MPICINTMSK     0x0021
#define ELAN_IO_S2PICIR        0x0024
#define ELAN_IO_S2PICISR       0x0024
#define ELAN_IO_S2PICICW1      0x0024
#define ELAN_IO_S2PICOCW2      0x0024
#define ELAN_IO_S2PICOCW3      0x0024
#define ELAN_IO_S2PICICW2      0x0025
#define ELAN_IO_S2PICICW3      0x0025
#define ELAN_IO_S2PICICW4      0x0025
#define ELAN_IO_S2PICINTMSK    0x0025
#define ELAN_IO_PIT0CNT        0x0040
#define ELAN_IO_PIT1CNT        0x0041
#define ELAN_IO_PIT2CNT        0x0042
#define ELAN_IO_PIT0STA        0x0040
#define ELAN_IO_PIT1STA        0x0041
#define ELAN_IO_PIT2STA        0x0042
#define ELAN_IO_PITMODECTL     0x0043
#define ELAN_IO_PITCNTLAT      0x0043
#define ELAN_IO_PITRDBACK      0x0043
#define ELAN_IO_SCPDATA        0x0060
#define ELAN_IO_SYSCTLB        0x0061
#define ELAN_IO_SCPCMD         0x0064
#define ELAN_IO_RTCIDX         0x0070
#define ELAN_IO_RTCDATA        0x0071
#define ELAN_IO_GPDMAGR0       0x0080
#define ELAN_IO_GPDMA2PG       0x0081
#define ELAN_IO_GPDMA3PG       0x0082
#define ELAN_IO_GPDMA1PG       0x0083
#define ELAN_IO_GPDMAGR1       0x0084
#define ELAN_IO_GPDMAGR2       0x0085
#define ELAN_IO_GPDMAGR3       0x0086
#define ELAN_IO_GPDMA0PG       0x0087
#define ELAN_IO_GPDMAGR4       0x0088
#define ELAN_IO_GPDMA6PG       0x0089
#define ELAN_IO_GPDMA7PG       0x008a
#define ELAN_IO_GPDMA5PG       0x008b
#define ELAN_IO_GPDMAGR5       0x008c
#define ELAN_IO_GPDMAGR6       0x008d
#define ELAN_IO_GPDMAGR7       0x008e
#define ELAN_IO_GPDMAGR8       0x008f
#define ELAN_IO_SYSCTLA        0x0092
#define ELAN_IO_S1PICIR        0x00a0
#define ELAN_IO_S1PICISR       0x00a0
#define ELAN_IO_S1PICICW1      0x00a0
#define ELAN_IO_S1PICOCW2      0x00a0
#define ELAN_IO_S1PICOCW3      0x00a0
#define ELAN_IO_S1PICICW2      0x00a1
#define ELAN_IO_S1PICICW3      0x00a1
#define ELAN_IO_S1PICICW4      0x00a1
#define ELAN_IO_S1PICINTMSK    0x00a1
#define ELAN_IO_GPDMA4MAR      0x00c0
#define ELAN_IO_GPDMA4TC       0x00c2
#define ELAN_IO_GPDMA5MAR      0x00c4
#define ELAN_IO_GPDMA5TC       0x00c6
#define ELAN_IO_GPDMA6MAR      0x00c8
#define ELAN_IO_GPDMA6TC       0x00ca
#define ELAN_IO_GPDMA7MAR      0x00cc
#define ELAN_IO_GPDMA7TC       0x00ce
#define ELAN_IO_MSTDMASTA      0x00d0
#define ELAN_IO_MSTDMACTL      0x00d0
#define ELAN_IO_MSTDMASWREQ    0x00d2
#define ELAN_IO_MSTDMAMSK      0x00d4
#define ELAN_IO_MSTDMAMODE     0x00d6
#define ELAN_IO_MSTDMACBP      0x00d8
#define ELAN_IO_MSTDMARST      0x00da
#define ELAN_IO_MSTDMATMP      0x00da
#define ELAN_IO_MSTDMAMSKRST   0x00dc
#define ELAN_IO_MSTDMAGENMSK   0x00de
#define ELAN_IO_FPUERRCLR      0xf0
#define ELAN_IO_UART2THR       0x02f8
#define ELAN_IO_UART2RBR       0x02f8
#define ELAN_IO_UART2BCDL      0x02f8
#define ELAN_IO_UART2BCDH      0x02f9
#define ELAN_IO_UART2INTENB    0x02f9
#define ELAN_IO_UART2INTID     0x02fa
#define ELAN_IO_UART2FCR       0x02fa
#define ELAN_IO_UART2LCR       0x02fb
#define ELAN_IO_UART2MCR       0x02fc
#define ELAN_IO_UART2LSR       0x02fd
#define ELAN_IO_UART2MSR       0x02fe
#define ELAN_IO_UART2SCRATCH   0x02ff
#define ELAN_IO_UART1THR       0x03f8
#define ELAN_IO_UART1RBR       0x03f8
#define ELAN_IO_UART1BCDL      0x03f8
#define ELAN_IO_UART1BCDH      0x03f9
#define ELAN_IO_UART1INTENB    0x03f9
#define ELAN_IO_UART1INTID     0x03fa
#define ELAN_IO_UART1FCR       0x03fa
#define ELAN_IO_UART1LCR       0x03fb
#define ELAN_IO_UART1MCR       0x03fc
#define ELAN_IO_UART1LSR       0x03fd
#define ELAN_IO_UART1MSR       0x03fe
#define ELAN_IO_UART1SCRATCH   0x03ff
#define ELAN_IO_PCICFGADR      0x0cf8
#define ELAN_IO_PCICFGDATA     0x0cfc
#define ELAN_IO_CBAR           0xfffc
